﻿using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB7610_SampleApp1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            RecordFilter recordFilter = xamDataGrid1.FieldLayouts[0].RecordFilters.FirstOrDefault(filter => filter.FieldName == "name");
            if (recordFilter == null) return;
            recordFilter.Conditions.Clear();

            recordFilter.Conditions.Add(new ComparisonCondition()
            {
                Operator = ComparisonOperator.Equals,
                Value = "佐藤 陽一"
            });
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            RecordFilter recordFilter = xamDataGrid1.FieldLayouts[0].RecordFilters.FirstOrDefault(filter => filter.FieldName == "name");
            if (recordFilter == null) return;
            recordFilter.Conditions.Clear();
        }
    }
}
